com.amazonaws.codegen.model.intermediate

## Class Example

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.Example

    public class Example
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Example(String description, String id, String title, com.fasterxml.jackson.databind.JsonNode input, com.fasterxml.jackson.databind.JsonNode output, ExampleComments comments)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExampleComments` `getComments()`
`String` `getDescription()`
`String` `getId()`
`com.fasterxml.jackson.databind.JsonNode` `getInput()`
`com.fasterxml.jackson.databind.JsonNode` `getOutput()`
`String` `getTitle()`
`void` `setInput(com.fasterxml.jackson.databind.JsonNode input)`
`void` `setOutput(com.fasterxml.jackson.databind.JsonNode output)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Example

    public Example(String description,
                   String id,
                   String title,
                   com.fasterxml.jackson.databind.JsonNode input,
                   com.fasterxml.jackson.databind.JsonNode output,
                   ExampleComments comments)

### Method Detail

#### getDescription

    public String getDescription()

#### getId

    public String getId()

#### getTitle

    public String getTitle()

#### getInput

    public com.fasterxml.jackson.databind.JsonNode getInput()

#### setInput

    public void setInput(com.fasterxml.jackson.databind.JsonNode input)

#### getOutput

    public com.fasterxml.jackson.databind.JsonNode getOutput()

#### setOutput

    public void setOutput(com.fasterxml.jackson.databind.JsonNode output)

#### getComments

    public ExampleComments getComments()